//
//  TestCell.m
//  test123
//
//  Created by Eveian on 2014/12/22.
//  Copyright (c) 2014年 Eveian. All rights reserved.
//

#import "TestCell.h"

NSString* const kCellID = @"Test_Cell";
NSInteger const kCellTotalHeight = 90;
NSInteger const kCellMainHeight = 80;
NSInteger const kCellLineHeight = 10;

typedef NS_ENUM(NSInteger, kCellTag) {
    kCellTagMainBaseView = 100,
    kCellTagLineSpaceView,
};

@implementation TestCell

-(id) initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    self =  [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self setupLayout];
    }
    return self;
}

- (void)awakeFromNib {
    // Initialization code
}

-(CGFloat) cellWidth{
    return CGRectGetWidth([UIScreen mainScreen].bounds);
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
    UILabel* baseView = (UILabel*)[self.contentView viewWithTag:kCellTagMainBaseView];
    baseView.backgroundColor = selected? [UIColor blackColor]:[UIColor yellowColor];
    baseView.textColor =selected? [UIColor whiteColor]:[UIColor blackColor];
}


-(void) setupLayout{
    self.selectionStyle =UITableViewCellSelectionStyleNone;
    [self addMainCell];
    [self addLineSpace];
}

-(void) addMainCell{
    
    
    UILabel* baseView = [[UILabel alloc] initWithFrame:
                        CGRectMake(0, 0, [self cellWidth], kCellMainHeight)];
    baseView.tag = kCellTagMainBaseView;
    baseView.backgroundColor = [UIColor yellowColor];
    [self.contentView addSubview:baseView];
}

-(void) addLineSpace{
    
    UIView* lineView = [[UIView alloc] initWithFrame:CGRectMake(0, kCellTotalHeight-kCellLineHeight, [self cellWidth], kCellLineHeight)];
    lineView.backgroundColor = [UIColor lightGrayColor];
    [self.contentView addSubview:lineView];
}

-(void) populateForTitle:(NSString*)title{
    UILabel* lb = (UILabel*)[self.contentView viewWithTag:kCellTagMainBaseView];
    [lb setText:title];
}
@end
